Subject: NA Digest V87 #71

From: NA Digest <[email-masked]>
Date: Wed 7 Oct 87 20:27:23 PDT

NA Digest   Wednesday, October  7, 1987   Volume 87 : Issue 71

This weeks Editor: Cleve Moler

Today's Topics:

                           Future Meetings
                        C Math Library Needed
           Briggs Tutorial on Multigrid Available from SIAM
                   Need Cooley-Tukey FFT algorithm
                   Faculty Position at Stony Brook
                      Announcement of Fortran 8x
         ODE Conference, Imperial College, London, July 1989
                    Pascal Graph Algorithms Sought

----------------------------------------------------------------------

Date:     Sun,  20 Sep 87 23:57:09 CET
From: R. Jeltsch <[email-masked]>
To: [email-masked]
Subject:  Future Meetings

HERE COMES A BATCH OF FUTURE CONFERENCES:

30.09.87 TO 02.10.87

TITLE:**RECHNERARITHMETIK, WISSENSCHAFTLICHES RECHNEN
**UND PROGRAMMIERSPRACHEN
**COMPUTERARITHMETIC, SCIENTIFIC COMPUTING AND
**PROGRAMMING LANGUAGES

LOCATION:*KARLSRUHE, FED. REP. GERMANY

DETAILS:*SPONSORED BY THE GAMM-FACHAUSSCHUSS "RECHNERARITHMETIK"

CONTACT:        VOLKER WALLRATH
**INSTITUT FUER ANGEWANDTE MATHEMATIK
**UNIVERSITAET KARLSRUHE (TH)
**KAISERSTR. 12 - POSTFACH 6980
**D - 7500 KARLSRUHE 1, FED. REP. OF GERMANY

01.10.87 TO 10.10.87

TITLE:**ADVANCED TOPICS IN APPLIED MATHEMATICS

LOCATION:*INTER-UNIVERSITY CENTER OF POSTGRADUATE STUDIES,
**DUBROVNIK, YUGOSLAVIA

DETAILS:        TOPICS:
** - NUMERICAL ANALYSIS
** - BIFURCATION THEORY
** - SINGULAR PERTURBATION AND HOMOGENIZATION

CONTACT:*PROF. DR. I. AGANOVIC
**DEPT. OF MATHEMATICS
**UNIVERSITY OF ZAGREB
**P.O. BOX 187
**41001 ZAGREB, YUGOSLAVIA

01.10.87 TO 02.10.87

TITLE:**CONFERENCE ON AUTOMATED MESH GENERATION AND ADAPTION

LOCATION:*GRENOBLE, FRANCE

DETAILS:*OBJECTIVE: BRINGING TOGETHER MATHEMATICIANS, COMPUTER
**SCIENTISTS, ENGINEERS CONCERNED WITH MESH GENERATION
**AND REZONING METHODS FOR SOLVING 2D AND 3D PDE PROBLEMS
**ORIGINATING FROM STRUCTURAL MECHANICS, COMPUTATIONAL
**FLUID DYNAMICS, ....

CONTACT:*MME THALER
                SECRETERIA DU GAMNI - SMAI
**CENTRE DE MATHEMATIQUES APPLIQUEES
**ECOLE POLYTECHNIQUE
**91128 PALAISEAU CEDEX

04.10.87 TO 07.10.87

TITLE:**12TH CONFERENCE IN NUMERICAL SCIENCE

LOCATION:*CONGRESSCENTRE WOUDSCHOTEN , ZEIST, NETHERLANDS

DETAILS:*TOPICS:
** - NUMERICAL SOLUTION OF BIFURCATION PROBLEMS AND
**   THE METHOD OF HOMOTOPY
** - HYPERBOLIC DIFFERENTIAL EQUATIONS AND BOUNDARY
**   REFLECTIONS

CONTACT:*W.H. HUNDSDORFER
**SECRETARIS VOORBEREIDINGSCOMMISSIE
**CWI
**CENTER FOR MATHEMATICS AND COMPUTER SCIENCE
**KRUISLAAN 413
**1098 SJ AMSTERDAM, THE NETHERLANDS

07.12.87 TO 11.12.87

TITLE:**JOINT US - EUROPE SHORT COURSE ON HYPERSONICS

LOCATION:*PARIS, FRANCE

DETAILS:*HOST: EUROPEAN SPACE AGENCY (ESA)
**THE COURSE IS OF INTEREST FOR GRADUATE STUDENTS,
**ENGINEERS AS WELL AS RESEARCHERS, A SIMILAR COURSE
**WAS OFFERED AT THE UNIVERSITY OF TEXAS AT AUSTIN
**IN APRIL 87*
**
CONTACT:        IN EUROPE: J. PERIAUX, GAMNI - SMAI (I) 46 02 50 50
**IN THE US: J. BERTIN, THE UNIVERSITY OF TEXAS, (512) 471 41 90

12.01.88 TO 15.01.88

TITLE:**PARALLEL PROCESSING FOR COMPUTER VISION AND DISPLAY

LOCATION:*UNIVERSITY OF LEEDS, UK,

CONTACT:*DR. PETER M. DEW (BCS PPCVD88 CONF)
**DEPARTMENT OF COMPUTER STUDIES
**UNIVERSITY OF LEEDS
**LEEDS LS29JT, UK

**
22.01.88 TO 24.01.88

TITLE: **ROBUST MULTI-GRID METHODS

LOCATION:*UNIVERSITY KIEL, KIEL, FED. REP. GERMANY

DETAILS:*TOPICS:
** - MULTIGRID ALGORITHMS FOR SINGULAR PERTURBATION PROBLEMS
**   E.G. FOR ANISOTROPIC EQUATIONS, CONVECTION DOMINATED
**   EQUATIONS, HYPERBOLIC PROBLEMS, EULER EQUATIONS,
**   PARABOLIC PROBLEMS
** - ALGEBRAIC MULTIGRID ALGORITHMS
** - ROBUST MULTIGRID SOFTWARE

**CONTRIBUTED PAPERS, DEADLINE FOR ABSTRACTS SEPT 30. 87

COST:**DM 20

CONTACT:*CHAIRMAN
**PROF. DR. W. HACKBUSCH
**INSTITUT FUER INFORMATIK UND PRAKTISCHE MATHEMATIK
**UNIVERSITAET KIEL
**OLSHAUSENSTR. 40
**D-2300 KIEL 1  ,  FED. REP. OF GERMANY

* *
06.06.88 TO 10.06.88

TITLE:          SECOND INTERNATIONAL CONFERENCE ON VECTOR AND PARALLEL
**COMPUTING ISSUES IN APPLIED RESEARCH AND DEVELOPMENT

LOCATION:*TROMSO, NORWAY

DETAILS:        SEE ACM SIGNUM NEWSLETTER, VOL 22, #2, PP 31-32

11.07.88

TITLE:**MINISYMPOSIUM ON RECENT DEVELOPMENTS IN SCIENTIFIC
**SOFTWARE AND SYSTEMS

LOCATION:*SHRIVENHAM, SWINDON, WILTS, ENGLAND

DETAILS:        BY INVITATION ONLY. THERE WILL BE CONTRIBUTED PAPERS.
**THERE WILL BE PROCEEDINGS. TO GET AN INVITATION CONTACT..

CONTACT:*ANNE DAMAN, COMPUTATIONAL
**MATHEMATICS &SOFTWARE GROUP,
**RMCS (CRANFIELD)
**SHRIVENHAM, SWINDON, WILTS.
**ENGLAND

12.07.88 TO 15.07.88

TITLE:**ALGORITHMS FOR APPROXIMATION,
**2ND SHRIVENHAM INTERNATIONAL CONFERENCE

LOCATION:

DETAILS:        THERE WILL BE CONTRIBUTED PAPERS.
**THERE WILL BE PROCEEDINGS.

CONTACT:*ANNE DAMAN, COMPUTATIONAL
**MATHEMATICS &SOFTWARE GROUP,
**RMCS (CRANFIELD)
**SHRIVENHAM, SWINDON, WILTS.
**ENGLAND

18.07.88 TO 22.07.88

TITLE:**12TH I M A C S WORLD CONGRESS ON SCIENTIFIC COMPUTATION

LOCATION:*PARIS, FRANCE

DETAILS:*GENERAL TOPICS:
**  - SYSTEMS MODELLING AND SIMULATION
**  - MODEL IDENTIFICATION AND VALIDATION
**  - NUMERICAL METHODS FOR DIFFERENTIAL AND INTEGRAL EQ.
**  - SIMULATION OF LARGE SCALE SYSTEMS
**  - SIMULATION OF DISCRETE SYSTEMS
  **  - CONTROL AND OPTIMIZATION THEORY AND APPLICATIONS
**  - SIMULATION TOOLS
**  - PARALLEL COMPUTATION
**  - SPECIAL COMPUTERS AND SOFTWARE FOR SIMULATION
**    AND SCIENTIFIC COMPUTATION
**  - APPLICATIONS OF SIMULATION IN ANALYSIS AND DESIGN OF
**    TECHNICAL AND NONTECHNICAL SYSTEMS
**.............

**CONTRIBUTED PAPERS, SOLLICITED PAPERS INVITED PAPERS
**DEADLINE FOR ABSTRACTS IS SEPT. 1. 1987

CONTACT:*PR. BORNE
**IMACS WORLD CONGRESS
**IDN, B.P. 48
**F-59651 VILLENEUVE D'ASCQ CEDEX
**FRANCE

25.07.88 TO 30.07.88

LOCATION:      UNIVERSITY OF LEUVEN, LEUVEN, BELGIUM

TITLE:*       INTERNATIONAL CONGRESS ON COMPUTATIONAL AND APPLIED
               MATHEMATICS

DETAILS:       THERE WILL BE SESSIONS ON:
              *- PARALLEL ALGORITHMS
**- NUMERICAL CONFORMAL MAPPING
**- CONSTRUCTIVE TECHNIQUES FOR SOLVING ORDINARY AND
**  PARTIAL DIFFERENTIAL EQUATIONS
**- COMPUTATIONAL COMPLEX ANALYSIS
**- NUMERICAL QUADRATURE AND INTEGRAL EQUATIONS
**- NUMERICAL SOFTWARE
**- COMPUTATIONAL TECHNIQUES IN OPERATIONS RESEARCH AND
**  STATISTICS
**- NUMERICAL ASPECTS OF SPECIAL FUNCTIONS

                INVITED SPEAKERS:
                H. BRUNNER, L.N. TREFETHEN, P. VAN DOOREN,
*        LI TA-TSIEN, I.S. DUFF, H.A. VAN DER VORST,
**P. RABINOWITZ, H. NAGASAKA, T. WATANABE

**THERE WILL BE A LIMITED NUMBER OF SHORT COMMUNICATIONS.
**DEADLINE FOR SUBMISSION: JAN 31. 1988
COST:**21 000 BF

CONTACT:        PROF. DR. F. BROECKX
**R.U.C.A.
**MIDDLEHEIMLAAN 1
**B-2020 ANTWERPEN
**BELGIUM

11.09.89 TO 15.09.89

TITLE:**5TH INTERNATIONAL CONFERENCE ON NUMERICAL METHODS
**IN ENGINEERING

LOCATION:*EPFL, LAUSANNE, SWITZERLAND

DETAILS:*SURVEY THE STATE OF THE ART AND THE NEW TRENDS IN
**ADVANCED SCIENTIFIC COMPUTING, WITH SPECIAL
**EMPHASIS TOWARDS APPLICATIONS IN ENGINEERING SCIENCE*
**SPECIAL TOPICS:
** NUMERICAL METHODS: FINITE ELEMENTS, FINITE VOLUMES AND FINITE
***            DIFFERENCES, BOUNDARY INTEGRAL METHODS
****    STOCASTIC PROCESSES, ADAPTIVE MESH
****    REFINEMENT, PARALLEL COMPUTING, ....
** APPLICATIONS:      LARGE DEFORMATIONS SOLID MECHANICS
***            CONTACT PROBLEMS, FRACTURE MECHANICS
****    SOFTENING AND METALLURGY, COMPOSITE
****    MATERIALS, FLUID MECHANICS, ....

CONTACT:*PROF. R. GRUBER
**GASOV/CENTRE DE CALCUL
**EPFL
**CH-1015 LAUSANNE, SWITZERLAND

------------------------------

Date: 24 Sep 87 14:34:04 GMT
From: Jack Shaio <[email-masked]>
Subject: C Math Library Needed
To: [email-masked]

I'm looking for a GOOD (IMSL-like)package of math subroutines,
preferably written in C,
and callable from a C program. My main use is solving nonlinear
equations, and the version of IMSL that we have doesn't implement
the homotopy method.
Does anyone know of other packages available ?
Will they make the accountants scream ?
I need stuff that will run under UNIX, on a VAX 11/785.
Please reply by e-mail, and I'll post a summary to the net.

				thanks
				jack shaio

------------------------------

Date: Sat, 26 Sep 87 16:41:04 MDT
From: Steve McCormick <[email-masked]>
Subject: Briggs Tutorial on Multigrid Available from SIAM
To: [email-masked]

                     A MULTIGRID TUTORIAL

For those of you who want to get a basic understanding of multigrid concepts
and principles, you should know that SIAM is just about to publish "A Multigrid
Tutorial" by Bill Briggs. This book is a must for those of you who are totally
unfamiliar with multigrid or are uneasy about your current perceptions. The
last chapter should be read by anyone who is interested in obtaining a good
theoretical understanding of multigrid performance. In simple terms, it unifies
the algebraic and spectral theories and gives excellent justification for why
multigrid works so well. Finally, if you're thinking about introducing multigrid
into the classroom, you should consider this book as a possible supplemental
text or resource.

The tutorial is fairly short (about 90 pages) with lots of informative graphs
and illustrations. Best of all, it's cheap:  $10.80 for SIAM members,  $13.50
otherwise. You can obtain a copy by writing SIAM Customer Service, 117 S. 17th
St., 14th Floor, Phila., PA 19103-5052 or by direct purchase at the October
SIAM meeting in Denver where the price will be $9.45.

                                             Steve McCormick

------------------------------

Date:     Fri, 25 Sep 87 8:47:38 EDT
From:     Terry Slattery <[email-masked]>
To:       [email-masked]
Subject:  Need Cooley-Tukey FFT algorithm

Does anyone have the Cooley-Tukey FFT algorithm coded in either C or
Fortran?  We have a paper copy of the algorithm on the way, but would
prefer an already coded routine.  Thanks,
	-tcs
	Terry Slattery	  U.S. Naval Academy	301-267-4413
	ARPA: [email-masked]
	UUCP: decvax!brl-smoke!usna!tcs

------------------------------

Date:     Mon, 28 Sep 87 15:09 EDT
From: R. Tewarson <[email-masked]>
Subject:  Faculty Position at Stony Brook
To: [email-masked]
X-Original-To:  [email-masked]

               State University of New York at Stony Brook
                       Stony Brook, NY 11794

                                          Reginald P. Tewarson
                                          Professor
                                          Applied Math & Stat
                                          632-8368/8360
                                          28-Sep-1987 02:07pm EDT
FROM:  RTEWARSON

TO:  Remote Addressee                     ( [email-masked] )

SUBJECT: FACULTY POSITION AT STONY BROOK

        The Applied Mathematics and Statistics Department, State University
of New York at Stony Brook, is looking for a Senior Numerical Analyst (Full
Professor) to start in September 1988. We are looking for someone in the
areas of Large Scale Scientific Computation, Development and Implementation
of  Algorithms for Parallel and Vector Computers, or related areas of
Applied Numerical Analysis. Salary is negotiable.

        Stony Brook is within commuting distance of New York City with its
varied cultural and scientific attractions. Many excellent beaches are
readily accessible - one is only ten minutes from the campus. The Stony
Brook computing environment includes a state-of-the-art local
communications network. The department has seventy-six full time
graduate students and produces between seven and eight Ph.D's each year.
SUNY is an equal opportunity/affirmative action employer.

        Please send applications and nominations to:

                Professor Reginald P. Tewarson
                Chair, Search Committee
                Applied Mathematics and Statistics Dept.
                State Univ. of New York, Stony Brook, N.Y., 11794-3600.

------------------------------

Date: Mon, 28 Sep 87 15:30:54 CDT
From: Brian Smith <[email-masked]>
To: [email-masked], [email-masked]
Subject: Announcement of Fortran 8x

    The Public Review Of The Next Draft Proposed Fortran Standard
Begins

                           Brian T. Smith
            Mathematics and Computer Science Division
                    Argonne National Laboratory

The ANSI Fortran Standards subcommittee  X3J3   has  completed  a
draft  of the next proposed standard, informally known as Fortran
8x, and is presenting it for public review.   The  public  review
lasts  for  four  months  and is tentatively expected to begin in
early October, 1987.  At approximately the same time, the  Inter-
national  Standards  Organization is reviewing the draft proposed
Fortran standard for three months beginning  in  early  November,
1987.  The two reviews will thus be completed at roughly the same
time in early February, 1988.

The Fortran community, in particular the numerical community,  is
strongly  encouraged to review this draft proposed standard.  The
document is available from Global Engineering Documents and  cost
$50 (U.S.A) if sent to a U.S.  address and $65 to an internation-
al address.  International orders can be placed at the  following
address:

      Global Engineering Documents Incorporated
      2625 Hickory St.
      Santa Ana, CA
      92707
      Phone Number (from U.S.A): 1-800-854-7179
      Phone Number (outside U.S.A): 1-714-540-9870

This document is written in the form of a draft standard  and  as
such is not very readable.  More readable descriptions are avail-
able and include the following publications.  John Reid and  Mike
Metcalf  have  a book titled "Fortran 8x Explained", published by
Oxford University Press.  Their book will  be  available  in  No-
vember,  1988.  The Department of Energy's Language Working Group
has written a paper titled "A Review And Analysis of Fortran 8x",
edited by B. T. Smith, Mathematics and Computer Science Division,
Argonne National Laboratory, 9700 S. Cass Ave., Lemont, Illinois,
U.S.A.  60439.  This will be available in late October, 1987.

This proposed Fortran standard has been influenced by the  parti-
cipation  of  several people from the numerical community.  These
include: George Paul from IBM Yorktown, John Reid  from  Harwell,
Lawrie  Schonfelder  from  the University of Liverpool, and Brian
Smith.  The new features of particular interest to the  numerical
community are the array processing facility, the generalized pre-
cision facility, the environmental  inquiry  and  floating  point
manipulation  intrinsic  functions, internal procedures, new pro-
cedure interface mechanisms, and the new program  unit  called  a
module which permits the sharing of global data and procedures.

I encourage you to carefully consider the proposed  standard  and
to  send comments to the Fortran standards subcommittee  X3J3  on
the good and bad aspects of the draft.  Comments should  be  sent
to:

     Public Comment for Dpans
         Fortran Revision
     X3 Secretariat
     Attn: Gwendy Phillips
     Computer and Business Equipment
           Manufacturers Association
     Suite 300
     311 First Street,  N. W.
     Washington, DC
     20001-2178

A copy of your comments should also be sent to:

     Public Comment for Dpans
         Fortran Revision
     Board of Standards Review
     American National Standards Institute
     1430 Broadway
     New York, NY 10018

------------------------------

Date: Wed 30 Sep 87 09:30:13-PDT
From: Margaret Wright <[email-masked]>
Subject: ODE Conference, Imperial College, London, July 1989
To: [email-masked]

       THE INSTITUTE OF MATHEMATICS AND ITS APPLICATIONS

  Conference on COMPUTATIONAL ORDINARY DIFFERENTIAL EQUATIONS

Imperial College, London                               July 3-7, 1989

                   FIRST CALL FOR PAPERS AND POSTERS

The IMA, jointly with SIAM, is organizing a conference on Computational
Ordinary Differential Equations, to be held at Imperial College, London,
in July 1989.  

The aim of this meeting is to bring together research workers and
practitioners in theory and algorithms for the numerical solution of
ordinary differential equations.  Contributions from workers in applications
areas will be encouraged.  The format of the meeting will be designed to
permit maximum interaction between the participants.  The use of
parallel sessions will be minimized and, if practicable, avoided.

The following are the topics to be covered in the conference:
   (i) Theory and algorithms for the numerical solution of initial and
       boundary value problems in ordinary differential equations, 
       differential algebraic equations and delay equations.
  (ii) Applications areas including the method of lines for partial
       differential equations.
 (iii) Structured and compartmentalized systems.
  (iv) Numerical methods for dynamical systems.
   (v) Parameterized and bifurcation problems.
  (vi) Impact of supercomputers on numerical methods for ordinary
       differential equations.
 (vii) Expert systems and graphics in ordinary differential equations.
(viii) Related topics.

The program will include ``highlighted'' papers, contributed papers
and posters.  The highlighted papers will be of 40 minutes presentation
time, and contributed papers of 20 minutes presentation time.  The
highlighted papers will be selected by the organizing committee
(J. R. Cash, A. R. Curtis, R. England, I. Gladwell and A. Iserles)
on the basis of an extended abstract (1000 words), contributed papers
and posters on the basis of a 300 word abstract.  Abstracts for all
categories should be sent to the IMA and must be received by
December 1, 1988.  Authors will be notified of the committee's decision
during January 1989.

There will be a reduced conference fee for full-time graduate students.

The proceedings of the conference will be published by Oxford University
Press in the IMA Conference Proceedings Series.

Abstracts and other enquiries should be sent to:
  The Secretary and Registrar
  The Institute of Mathematics and its Applications
  Maitland House, Warrior Square
  Southend-on-Sea
  Essex SS1 2JY
  United Kingdom.

Information can also be obtained from J.R. Cash, either by post
at: Department of Mathematics, Imperial College, Queen's Gate, 
London SW7 2BZ, United Kingdom, or electronically, at
NA.CASH @ SCORE.Stanford.Edu.

The following form may be used to obtain information or to register.

-------------------------------------------------------------------
To: The Secretary and Registrar, The Institute of Mathematics and its
Applications, Maitland House, Warrior Square, Southend-on-Sea,
Essex SS1 2JY.

     Conference on COMPUTATIONAL ORDINARY DIFFERENTIAL EQUATIONS
Imperial College, London                             July 3-7, 1989

Final Date for Abstracts: December 1, 1988
Notice to Authors: January 1989

Name...............................................................

Institution .......................................................

Address ...........................................................

...................................................................

...................................................................

Please check where appropriate:

Please send further information about the conference 
                                                            _______

I wish to submit an extended abstract for consideration as a
  highlighted paper                                          _______

I am willing for my paper to be considered as a contributed paper
                                     Yes ________   No _________
                                                   or as a poster
                                     Yes ________   No _________

I wish to submit an abstract for consideration as a contributed
  paper                                                     ________

I am willing for my paper to be considered as a poster
                                     Yes ________   No _________

I wish to submit an abstract for consideration as a poster

------------------------------

Date:     Friday 02 Oct 87 2:16 PM CT
From:     Ken Atkinson, Univ. of Iowa <[email-masked]>
To:        <[email-masked]>
Subject:  Pascal Graph Algorithms Sought

The following message is from Kathy O'Hara, a member of the Mathematics
Dept. at the University of Iowa.  In sending mail replies, send to her
directly at the University of Iowa, Iowa City, Iowa 52242.   For E_mail
replies, send those to NA.ATKINSON.
             Ken Atkinson

     I'm looking for graph algorithms coded in Pascal.  Specifically, the
graph algorithms that appear in Reingold, Nievergelt, and Deo's
Combinatorial Algorithms.  I am particularly interested in the algorithms
that, given a graph,
     (a)  list all of its cycles
     (b)  finds all maximal cliques
     (c)  tests for planarity
Any information concerning coded versions of these or other graph
algorithms would be appreciated.

Thanks,

Kathy O'Hara

------------------------------

End of NA Digest
**************************
-------